Bug 742298 - RHQ 4.3 : Remove deprecated attribute "default" from c:option
RHQ 4.3 : Remove deprecated attribute "default" from c:option
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugin Container (Show other bugs)
4.2
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: RHQ 4.5.0
Assigned To: Heiko W. Rupp
Mike Foley
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-29 11:57 EDT by Heiko W. Rupp
Modified: 2013-09-01 06:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:04:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2011-09-29 11:57:25 EDT
The attribute 'default' on c:option is useless.
This once got removed in BZ 536496, but as it turned out, 3rd party plugins did still depend on it, so this was partially reverted in BZ 738029 and officially deprecated in RHQ 4.2 

Server and agent will emit a warning in 4.2

In 4.3 we should remove that (basically revert commit b31e834a96dd20f864736447bee74c9194b4884a )
Comment 1 Heiko W. Rupp 2012-06-06 10:17:45 EDT
master 29599bc7e1
Comment 2 Heiko W. Rupp 2013-09-01 06:04:01 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.